Overview | Package | Class | Tree | Deprecated | Index | Help
| XCC/J 4.2-9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.marklogic.xcc.types
Class ValueType

    java.lang.Object
      com.marklogic.xcc.types.ValueType

Direct Known Subclasses:
  ItemType, SequenceType

    public abstract class ValueType

extends Object

Base class for the typesafe enumeration objects that represent XML Schema types.

Field Summary
`static NodeType` | `BINARY`
`static NodeType` | `ELEMENT`
`static NodeType` | `NODE`
`static ValueType` | `SEQUENCE`
`static NodeType` | `TEXT`
`static AtomicType` | `XDT_DAY_TIME_DURATION` Deprecated. To be phased out
`static AtomicType` | `XDT_UNTYPED_ATOMIC` Deprecated. To be phased out
`static AtomicType` | `XDT_YEAR_MONTH_DURATION` Deprecated. To be phased out
`static AtomicType` | `XS_ANY_URI`
`static AtomicType` | `XS_BASE64_BINARY`
`static AtomicType` | `XS_BOOLEAN`
`static AtomicType` | `XS_DATE`
`static AtomicType` | `XS_DATE_TIME`
`static AtomicType` | `XS_DAY_TIME_DURATION`
`static AtomicType` | `XS_DECIMAL`
`static AtomicType` | `XS_DOUBLE`
`static AtomicType` | `XS_DURATION`
`static AtomicType` | `XS_FLOAT`
`static AtomicType` | `XS_GDAY`
`static AtomicType` | `XS_GMONTH`
`static AtomicType` | `XS_GMONTH_DAY`
`static AtomicType` | `XS_GYEAR`
`static AtomicType` | `XS_GYEAR_MONTH`
`static AtomicType` | `XS_HEX_BINARY`
`static AtomicType` | `XS_INTEGER`
`static AtomicType` | `XS_QNAME`
`static AtomicType` | `XS_STRING`
`static AtomicType` | `XS_TIME`
`static AtomicType` | `XS_UNTYPED_ATOMIC`
`static AtomicType` | `XS_YEAR_MONTH_DURATION`

Method Summary
`abstract boolean` | `isSequence()` Indicates whether this value type represents a sequence or single value.
`String` | `toString()` The name of this XQuery type, as a string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SEQUENCE

    public static final ValueType SEQUENCE

### NODE

    public static final NodeType NODE

### ELEMENT

    public static final NodeType ELEMENT

### TEXT

    public static final NodeType TEXT

### BINARY

    public static final NodeType BINARY

### XS_UNTYPED_ATOMIC

    public static final AtomicType XS_UNTYPED_ATOMIC

### XS_STRING

    public static final AtomicType XS_STRING

### XS_BOOLEAN

    public static final AtomicType XS_BOOLEAN

### XS_INTEGER

    public static final AtomicType XS_INTEGER

### XS_DECIMAL

    public static final AtomicType XS_DECIMAL

### XS_FLOAT

    public static final AtomicType XS_FLOAT

### XS_DOUBLE

    public static final AtomicType XS_DOUBLE

### XS_DURATION

    public static final AtomicType XS_DURATION

### XS_DAY_TIME_DURATION

    public static final AtomicType XS_DAY_TIME_DURATION

### XS_YEAR_MONTH_DURATION

    public static final AtomicType XS_YEAR_MONTH_DURATION

### XS_DATE_TIME

    public static final AtomicType XS_DATE_TIME

### XS_TIME

    public static final AtomicType XS_TIME

### XS_DATE

    public static final AtomicType XS_DATE

### XS_ANY_URI

    public static final AtomicType XS_ANY_URI

### XS_QNAME

    public static final AtomicType XS_QNAME

### XS_GDAY

    public static final AtomicType XS_GDAY

### XS_GMONTH

    public static final AtomicType XS_GMONTH

### XS_GMONTH_DAY

    public static final AtomicType XS_GMONTH_DAY

### XS_GYEAR

    public static final AtomicType XS_GYEAR

### XS_GYEAR_MONTH

    public static final AtomicType XS_GYEAR_MONTH

### XS_HEX_BINARY

    public static final AtomicType XS_HEX_BINARY

### XS_BASE64_BINARY

    public static final AtomicType XS_BASE64_BINARY

### XDT_UNTYPED_ATOMIC

    @Deprecated
    public static final AtomicType XDT_UNTYPED_ATOMIC

  Deprecated. To be phased out

### XDT_DAY_TIME_DURATION

    @Deprecated
    public static final AtomicType XDT_DAY_TIME_DURATION

  Deprecated. To be phased out

### XDT_YEAR_MONTH_DURATION

    @Deprecated
    public static final AtomicType XDT_YEAR_MONTH_DURATION

  Deprecated. To be phased out

Method Detail

### isSequence

    public abstract boolean isSequence()

  Indicates whether this value type represents a sequence or single value.

  Returns:
    true if the type represented is a sequence, false otherwise.

### toString

    public String toString()

  The name of this XQuery type, as a string.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string represntation of this type.

Overview | Package | Class | Tree | Deprecated | Index | Help
| XCC/J 4.2-9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 MarkLogic Corporation, All Rights Reserved.

Complete online documentation for MarkLogic Server, XQuery and related components may be found at developer.marklogic.com